Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.security.impl.jacc
Class JACCPortalAuthorizationManagerFactory

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.security.impl.jacc.JACCPortalAuthorizationManagerFactory

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, PortalAuthorizationManagerFactory, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class JACCPortalAuthorizationManagerFactory

extends AbstractJBossService
implements PortalAuthorizationManagerFactory

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JACCPortalAuthorizationManagerFactory()`

Method Summary
`AuthorizationDomainRegistry` | `getAuthorizationDomainRegistry()`
`PortalAuthorizationManager` | `getManager()` Return the portal authorization manager instance.
`void` | `setAuthorizationDomainRegistry(AuthorizationDomainRegistry authorizationDomainRegistry)`
`protected void` | `startService()` Set the PolicyContext subject security handler and the delegating policy.

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCPortalAuthorizationManagerFactory

    public JACCPortalAuthorizationManagerFactory()

Method Detail

### getAuthorizationDomainRegistry

    public AuthorizationDomainRegistry getAuthorizationDomainRegistry()

### setAuthorizationDomainRegistry

    public void setAuthorizationDomainRegistry(AuthorizationDomainRegistry authorizationDomainRegistry)

### getManager

    public PortalAuthorizationManager getManager()

  Description copied from interface: `PortalAuthorizationManagerFactory`
  Return the portal authorization manager instance.

  Specified by:
    `getManager` in interface `PortalAuthorizationManagerFactory`
  Returns:
    the portal authorization manager

### startService

    protected void startService()
                         throws java.lang.Exception

  Set the PolicyContext subject security handler and the delegating policy.

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD